// src/pages/Dashboard

import * as React from 'react';
import { CssBaseline } from '@mui/material';

import {
  chartsCustomizations,
  dataGridCustomizations,
  datePickersCustomizations,
  treeViewCustomizations,
} from './theme/customizations/index.ts';
import DashboardLayout from '../../layouts/DashboardLayout';
import AppTheme from '../../shared-theme/AppTheme';
import MainGrid from '../../components/MainGrid/index.tsx';

const xThemeComponents = {
  ...chartsCustomizations,
  ...dataGridCustomizations,
  ...datePickersCustomizations,
  ...treeViewCustomizations,
};

export default function Dashboard(props: { disableCustomTheme?: boolean }) {
  const disable = true;
  return (
    <AppTheme {...props} themeComponents={xThemeComponents}>
      {!disable ? (
        <>
          <CssBaseline enableColorScheme />
          <MainGrid />
        </>
      ) : (
        'Dashboard'
      )}
    </AppTheme>
  );
}
